'use strict';

var gulp   = require('gulp'); // core gulp
var sass = require('gulp-sass'); // Compile scss files
var csso   = require('gulp-csso'); // minify css
var gzip   = require('gulp-gzip'); // gzip compression

gulp.task('sass', function () {
  return gulp.src('./scss/jump-start.scss')
    .pipe(sass.sync().on('error', sass.logError))
    .pipe(gulp.dest('./dist/css'));
});

gulp.task('minify', function() {
  return gulp.src('./dist/css/**/*.css')
    .pipe(csso())
    .pipe(gulp.dest('./dist/css'))
    .pipe(gzip())
    .pipe(gulp.dest('./dist/css'));
});

// Scan site, remove unused css, minifiy css, gzip css
gulp.task('buildcss', ['sass','minify']);
